Subject: Re: bug#11348: 24.0.95; TAB-completion in shell-command produces d:\/foo on MS-Windows

From: Chong Yidong <[email-masked]>
Date: Fri, 04 May 2012 23:46:31 +0800

Eli Zaretskii <[email-masked]> writes:

>> The black magic occurs in `comint--complete-file-name-data' in
>> comint.el.
>
> That function doesn't get called when I use the recipe to reproduce
> the problem.  At least instrumenting it with Edebug doesn't activate
> Edebug inside that function.

Whoops.  Then maybe the problem is in pcomplete-completions-at-point,
which is even more alien territory for me.  As an experiment, could you
try removing pcomplete-completions-at-point from
shell-dynamic-complete-functions and see if there is anything different?

(pcomplete-completions-at-point was added to shell-d-c-f in Emacs 24.)